#include"OneWayTurn.cpp"
#include"Car.cpp"
using namespace std;
int main()
{
	setlocale(LC_ALL,".1251");
	List<Car> list;
	int choise = 0,kol = 0;
	while(choise!=6)
	{
		choise = list.menu();
		switch (choise)
		{	
			case 1:
			{	
				cout<<"Сколько машин хотите добавить?  ";
				cin>>kol;
				cout<<endl;
				for(int i = 0; i < kol; i++)
					{
						Car car;
						cin>>car;
						list.addToHead(car);
					}
				break;
			}
			case 2:
			{
				list.print();
				break;
			}
			case 3:
			{	
				char Mark[80];
				Car car1;
				cout<<"Введите марку Авто для поиска"<<endl;
				cin>>Mark;
				car1.setName(Mark);
				int position = list.search(car1);
				cout<<position;
				cout<<"\n Найденное Авто"<<endl;
				cout<<list.PrintToFound(position)<<endl;
				break;
			}
			case 4:
			{
				list.sort();
				break;
			}
			case 5:
			{	
				char Mark[80];
				Car car1;
				cout<<"Введите марку автомобиля который хотите удалить из списка"<<endl;
				cin>>Mark;
				car1.setName(Mark);
				int position = list.search(car1);
				list.delPosition(position);
				break;
			}
		}

	}
	return 0;
}